package com.example.livingai.domain.usecases

import com.example.livingai.domain.repository.AppDataRepository
import kotlinx.coroutines.flow.Flow
import javax.inject.Inject

class ReadAppEntryUseCase @Inject constructor(
    private val appDataRepository: AppDataRepository
) {
    operator fun invoke(): Flow<Boolean> = appDataRepository.readAppEntry()
}